import pytest

from all_backend_api.janus_request import janus_request
from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest


class TestBeautyCardRefundSubmit:
    data = BaseRequest().api_load(path_setting.BEAUTY_CARD_REFUND_SUBMIT)
    beauty_card_refund_submit_case, beauty_card_refund_submit_data = get_ids(data, "beauty_card_refund_submit")

    @pytest.mark.parametrize("param", beauty_card_refund_submit_data, ids=beauty_card_refund_submit_case)
    def test_beauty_card_refund_submit(self, param):
        r = janus_request().beauty_card_refund_submit(param["order_id"], param["reason_id"], param["reason_text"],
                                                      param["reason_type"])

        if param["reason_id"] == -1:
            assert r["message"] == param["assert_message"]
        if param["reason_id"] != -1:
            assert r["message"] == param["assert_message"]

